#include<stdio.h>
#include<math.h>
main()
{

	int a[30],b[30],n,q,i,as,j,k,indeks,i1,s,poc,kraj;
	
	printf("Unesi broj glasova: ");
	scanf("%d",&n);
	printf("Unesi broj scenarija: ");
	scanf("%d",&q);
	
	for(i=0;i<n;i++)
	{
		printf("Unesi %d. glas: ",i+1);
		scanf("%d",&a[i]);
	}
	
	for(i=0;i<q;i++)
	{
		printf("Unesi %d. scenarijo: ",i+1);
		scanf("%d",&b[i]);
	}
	
	
	for(i=n-1;i>0;i--)
	for(j=0;j<i;j++)
		if(a[j]>a[j+1])
		{
			k=a[j];
			a[j]=a[j+1];
			a[j+1]=k;
		}
	as=a[n/2];

	
	for(i1=0,n=n+1,a[n-1]=b[i1];i1<q;a[indeks]=b[++i1])
	{

		
		for(i=n-1;i>0;i--)
		for(j=0;j<i;j++)
			if(a[j]>a[j+1])
			{
				k=a[j];
				a[j]=a[j+1];
				a[j+1]=k;
			}
	
		if(b[i1]==as)
		printf("\n%d",0);
		else
		{		
			indeks=-1;
			poc=0;
			kraj=n-1;	
			do
			{
				s=(poc+kraj)/2;
				if(a[s]==b[i1])
				indeks=s;
				else if(a[s]>b[i1])
				kraj=s-1;
				else
				poc=s+1;
		
			}while(indeks==-1);
			
			
			if(a[indeks]==a[indeks-1])
			indeks=indeks-1;
			
			if(indeks==n-1)
			printf("\n%d",n-1);
			else
			printf("\n%d",abs(indeks-(n-indeks+1)));
			
			
		}

		
		
		
	}

}